org.apache.ignite.ml.environment.deploy

## Class DeployingContextImpl

- java.lang.Object
- - org.apache.ignite.ml.environment.deploy.DeployingContextImpl

- All Implemented Interfaces:
    Serializable, DeployingContext

      public class DeployingContextImpl
      extends Object
      implements DeployingContext, Serializable

  Default implementation of `DeployingContext` class.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeployingContextImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClassLoader` | `clientClassLoader()`
    `void` | `init(DeployingContext other)` Inits context by other context.
    `void` | `initByClientObject(Object jobObj)` Inits context by any client-defined object.
    `Class<?>` | `userClass()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.environment.deploy.DeployingContext

      `unitialized`

- - ### Constructor Detail

    - #### DeployingContextImpl

          public DeployingContextImpl()

  - ### Method Detail

    - #### userClass

          public Class<?> userClass()

      Specified by:
        `userClass` in interface `DeployingContext`
      Returns:
        Class represents client-defined class.

    - #### clientClassLoader

          public ClassLoader clientClassLoader()

      Specified by:
        `clientClassLoader` in interface `DeployingContext`
      Returns:
        Client class loader.

    - #### initByClientObject

          public void initByClientObject(Object jobObj)

      Inits context by any client-defined object.
      Specified by:
        `initByClientObject` in interface `DeployingContext`
      Parameters:
        `jobObj` - Specific class for job.

    - #### init

          public void init(DeployingContext other)

      Inits context by other context.
      Specified by:
        `init` in interface `DeployingContext`
      Parameters:
        `other` - Other context.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023